Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.CertificateEncryptData Class Reference

## Public Member Functions
| CertificateEncryptData (boolean is_encrypt_metadata, int cipher, java.util.ArrayList< byte[]> envelopes)
| Constructor, with parameters. More...
| CertificateEncryptData ()
| Constructor.
| CertificateEncryptData (CertificateEncryptData other)
| Constructor, with another certificate encrypt data object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getCipher ()
| Get cipher type. More...
java.util.ArrayList< byte[]> | getEnvelopes ()
| Get a string array which specifies an array of certificate envelopes. More...
boolean | getIs_encrypt_metadata ()
| Get a boolean value to decide whether to encrypt metadata or not. More...
void | set (boolean is_encrypt_metadata, int cipher, java.util.ArrayList< byte[]> envelopes)
| Set value. More...
void | setCipher (int value)
| Set cipher type. More...
void | setEnvelopes (java.util.ArrayList< byte[]> value)
| Set a string array which specifies an array of certificate envelopes. More...
void | setIs_encrypt_metadata (boolean value)
| Set a boolean value to decide whether to encrypt metadata or not. More...

## Detailed Description

This class represents some data used for class CertificateSecurityHandler .

## Constructor & Destructor Documentation

## ◆ CertificateEncryptData() [1/2]

com.foxit.sdk.pdf.CertificateEncryptData.CertificateEncryptData | ( | boolean | is_encrypt_metadata,
|  | int | cipher,
|  | java.util.ArrayList< byte[]> | envelopes
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | cipher | Cipher type. Please refer to values starting from com.foxit.sdk.pdf.SecurityHandler.e_CipherRC4 and this should be one of these values except com.foxit.sdk.pdf.SecurityHandler.e_CipherNone .
  [in] | envelopes | A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.

## ◆ CertificateEncryptData() [2/2]

com.foxit.sdk.pdf.CertificateEncryptData.CertificateEncryptData | ( | CertificateEncryptData | other | ) |

Constructor, with another certificate encrypt data object.

Parameters

  [in] | other | Another certificate encrypt data object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.CertificateEncryptData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getCipher()

com.foxit.sdk.pdf.CertificateEncryptData.getCipher | ( |  | ) |

Get cipher type.

Returns
  Cipher type. Please refer to values starting from com.foxit.sdk.pdf.SecurityHandler.e_CipherRC4 and this should be one of these values except com.foxit.sdk.pdf.SecurityHandler.e_CipherNone .

## ◆ getEnvelopes()

com.foxit.sdk.pdf.CertificateEncryptData.getEnvelopes | ( |  | ) |

Get a string array which specifies an array of certificate envelopes.

Returns
  A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.

## ◆ getIs_encrypt_metadata()

com.foxit.sdk.pdf.CertificateEncryptData.getIs_encrypt_metadata | ( |  | ) |

Get a boolean value to decide whether to encrypt metadata or not.

Returns
  A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.

## ◆ set()

void com.foxit.sdk.pdf.CertificateEncryptData.set | ( | boolean | is_encrypt_metadata,
|  | int | cipher,
|  | java.util.ArrayList< byte[]> | envelopes
| ) |  |

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | cipher | Cipher type. Please refer to values starting from com.foxit.sdk.pdf.SecurityHandler.e_CipherRC4 and this should be one of these values except com.foxit.sdk.pdf.SecurityHandler.e_CipherNone .
  [in] | envelopes | A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.

Returns
  None.

## ◆ setCipher()

com.foxit.sdk.pdf.CertificateEncryptData.setCipher | ( | int | value | ) |

Set cipher type.

Parameters

  [in] | value | Cipher type. Please refer to values starting from com.foxit.sdk.pdf.SecurityHandler.e_CipherRC4 and this should be one of these values except com.foxit.sdk.pdf.SecurityHandler.e_CipherNone .

Returns
  None.

## ◆ setEnvelopes()

com.foxit.sdk.pdf.CertificateEncryptData.setEnvelopes | ( | java.util.ArrayList< byte[]> | value | ) |

Set a string array which specifies an array of certificate envelopes.

Parameters

  [in] | value | A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.

Returns
  None.

## ◆ setIs_encrypt_metadata()

com.foxit.sdk.pdf.CertificateEncryptData.setIs_encrypt_metadata | ( | boolean | value | ) |

Set a boolean value to decide whether to encrypt metadata or not.

Parameters

  [in] | value | A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.

Returns
  None.